#include<bits/stdc++.h>
using namespace std;
int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long n;
    cin >> n;

    long long c1 = n/2;
    long long c7 = n%2;
    if(c7 == 1){
        c1--;
        cout << 7;
    }
    for(int i = 0; i < c1; i++) cout << 1;

    return 0;
}

